﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Collections;
using Syncfusion.Mvc.Grid;
using Syncfusion.DocIO.DLS;
using Syncfusion.Pdf;
using Syncfusion.XlsIO;
using PassModel.Models;
using System.Web.Script.Serialization;

namespace PassModel.Controllers
{
    public partial class GridController: Controller
    {
        public ActionResult GridFeatures()
        {
            var data = new PassModel.Models.StudentDataContext().Student.Take(100).ToList();
            ViewData["ProductName"] = data;
            return View(data);
        }
	[AcceptVerbs(HttpVerbs.Post)]
        public ActionResult GridFeatures(PagingParams args, String modelData)
        {
            var ModelData = new JavaScriptSerializer().Deserialize(modelData, typeof(IEnumerable<Student>));            
            IEnumerable data = new PassModel.Models.StudentDataContext().Student.Take(100).ToList();
            return data.GridActions<PassModel.Models.Student>();
        }
    }
}
